Keynote .. requires a newer version of iPad software

Discussion in 'iPad Tips, Help and Troubleshooting' started by peterja, Aug 7, 2011.

  1. peterja macrumors regular

    peterja

    Joined:
    Jan 21, 2008
    #1
    When i try to install Keynote i get the following error

    On iPad,
    Unable to download application
    Keynote will be available for download when you log in to the iTunes store on your computer.

    On iTunes,
    The app "keynote" was not installed on the ipad "iPad PJ" because it requires a newer version of iPad software.

    Iv'e tried to do a full reset and then restore, the problem remains.
    iOS 4.2 (8C134)

    Ideas?
     
  2. gr8tfly macrumors 603

    gr8tfly

    Joined:
    Oct 29, 2006
    Location:
    ~119W 34N
    #2
    Upgrade iOS - the current version is 4.3.5 (unless you have a Verizon model - I believe they are on an earlier version, but should still be more recent than 4.2).
     
  3. peterja thread starter macrumors regular

    peterja

    Joined:
    Jan 21, 2008
    #3
    Ah ok thanks, then the problem was that iTunes reported that this was the latest version, hopefully a manual update should solve it then.
     

Share This Page